
package com.ejie.ab04b.webservice.client.cdt;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

/**
 * This object contains factory methods for each Java content interface and Java
 * element interface generated in the com.ejie.ab04b.webservice.client.cdt
 * package.
 * <p>
 * An ObjectFactory allows you to programatically construct new instances of the
 * Java representation for XML content. The Java representation of XML content
 * can consist of schema derived interfaces and classes representing the binding
 * of schema type definitions, element declarations and model groups. Factory
 * methods for each of these are provided in this class.
 * 
 * @author GFI-NORTE
 */
@XmlRegistry()
public class ObjectFactory {

	private final static QName _String_QNAME = new QName("http://www.openuri.org/", "string");
	private final static QName _Void1_QNAME = new QName("http://www.openuri.org/", "void1");
	private final static QName _Void2_QNAME = new QName("http://www.openuri.org/", "void2");
	private final static QName _Boolean_QNAME = new QName("http://www.openuri.org/", "boolean");
	private final static QName _Void3_QNAME = new QName("http://www.openuri.org/", "void3");

	/**
	 * Create a new ObjectFactory that can be used to create new instances of
	 * schema derived classes for package: com.ejie.ab04b.webservice.client.cdt
	 */
	public ObjectFactory() {
	}

	/**
	 * Create an instance of {@link PrepareAutomaticTaskResponse }.
	 *
	 * @return objeto respuesta
	 */
	public PrepareAutomaticTaskResponse createPrepareAutomaticTaskResponse() {
		return new PrepareAutomaticTaskResponse();
	}

	/**
	 * Create an instance of {@link DoTaskGResponse }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskGResponse createDoTaskGResponse() {
		return new DoTaskGResponse();
	}

	/**
	 * Create an instance of {@link DoTaskStudy }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskStudy createDoTaskStudy() {
		return new DoTaskStudy();
	}

	/**
	 * Create an instance of {@link DoTaskAdjuntarDocResponse }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskAdjuntarDocResponse createDoTaskAdjuntarDocResponse() {
		return new DoTaskAdjuntarDocResponse();
	}

	/**
	 * Create an instance of {@link DoTaskCrearNot }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskCrearNot createDoTaskCrearNot() {
		return new DoTaskCrearNot();
	}

	/**
	 * Create an instance of {@link DoTaskFirmaMultipleResponse }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskFirmaMultipleResponse createDoTaskFirmaMultipleResponse() {
		return new DoTaskFirmaMultipleResponse();
	}

	/**
	 * Create an instance of {@link List }.
	 *
	 * @return objeto respuesta
	 */
	public List createList() {
		return new List();
	}

	/**
	 * Create an instance of {@link DoTaskG }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskG createDoTaskG() {
		return new DoTaskG();
	}

	/**
	 * Create an instance of {@link DoTaskLiqTasas }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskLiqTasas createDoTaskLiqTasas() {
		return new DoTaskLiqTasas();
	}

	/**
	 * Create an instance of {@link PrepareNewTaskResponse }.
	 *
	 * @return objeto respuesta
	 */
	public PrepareNewTaskResponse createPrepareNewTaskResponse() {
		return new PrepareNewTaskResponse();
	}

	/**
	 * Create an instance of {@link DoTaskCrearNotResponse }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskCrearNotResponse createDoTaskCrearNotResponse() {
		return new DoTaskCrearNotResponse();
	}

	/**
	 * Create an instance of {@link DoTaskOpen }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskOpen createDoTaskOpen() {
		return new DoTaskOpen();
	}

	/**
	 * Create an instance of {@link DoTaskOpenResponse }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskOpenResponse createDoTaskOpenResponse() {
		return new DoTaskOpenResponse();
	}

	/**
	 * Create an instance of {@link DoTaskRejectTaskResponse }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskRejectTaskResponse createDoTaskRejectTaskResponse() {
		return new DoTaskRejectTaskResponse();
	}

	/**
	 * Create an instance of {@link DoTaskSolicitarDocFunc }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskSolicitarDocFunc createDoTaskSolicitarDocFunc() {
		return new DoTaskSolicitarDocFunc();
	}

	/**
	 * Create an instance of {@link PrepareProcedureFirstTask }.
	 *
	 * @return objeto respuesta
	 */
	public PrepareProcedureFirstTask createPrepareProcedureFirstTask() {
		return new PrepareProcedureFirstTask();
	}

	/**
	 * Create an instance of {@link DoTaskCloseResponse }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskCloseResponse createDoTaskCloseResponse() {
		return new DoTaskCloseResponse();
	}

	/**
	 * Create an instance of {@link DoTaskRegistrarDocResponse }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskRegistrarDocResponse createDoTaskRegistrarDocResponse() {
		return new DoTaskRegistrarDocResponse();
	}

	/**
	 * Create an instance of {@link DoTaskRejectTask }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskRejectTask createDoTaskRejectTask() {
		return new DoTaskRejectTask();
	}

	/**
	 * Create an instance of {@link ArrayOfString }.
	 *
	 * @return objeto respuesta
	 */
	public ArrayOfString createArrayOfString() {
		return new ArrayOfString();
	}

	/**
	 * Create an instance of {@link DoTaskRegistrarNotifPostal }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskRegistrarNotifPostal createDoTaskRegistrarNotifPostal() {
		return new DoTaskRegistrarNotifPostal();
	}

	/**
	 * Create an instance of {@link DoTaskCrearNotServerResponse }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskCrearNotServerResponse createDoTaskCrearNotServerResponse() {
		return new DoTaskCrearNotServerResponse();
	}

	/**
	 * Create an instance of {@link DoTaskAnularFirma }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskAnularFirma createDoTaskAnularFirma() {
		return new DoTaskAnularFirma();
	}

	/**
	 * Create an instance of {@link DoTaskLiqTasasResponse }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskLiqTasasResponse createDoTaskLiqTasasResponse() {
		return new DoTaskLiqTasasResponse();
	}

	/**
	 * Create an instance of {@link DoTaskClose }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskClose createDoTaskClose() {
		return new DoTaskClose();
	}

	/**
	 * Create an instance of {@link DoTaskReasignarFirmante }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskReasignarFirmante createDoTaskReasignarFirmante() {
		return new DoTaskReasignarFirmante();
	}

	/**
	 * Create an instance of {@link DoTaskFirmaMultiple }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskFirmaMultiple createDoTaskFirmaMultiple() {
		return new DoTaskFirmaMultiple();
	}

	/**
	 * Create an instance of {@link PrepareNewTaskMailboxes }.
	 *
	 * @return objeto respuesta
	 */
	public PrepareNewTaskMailboxes createPrepareNewTaskMailboxes() {
		return new PrepareNewTaskMailboxes();
	}

	/**
	 * Create an instance of {@link PrepareProcedureFirstTaskResponse }.
	 *
	 * @return objeto respuesta
	 */
	public PrepareProcedureFirstTaskResponse createPrepareProcedureFirstTaskResponse() {
		return new PrepareProcedureFirstTaskResponse();
	}

	/**
	 * Create an instance of {@link PrepareTaskResponse }.
	 *
	 * @return objeto respuesta
	 */
	public PrepareTaskResponse createPrepareTaskResponse() {
		return new PrepareTaskResponse();
	}

	/**
	 * Create an instance of {@link DoTaskSolicitarDocFuncResponse }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskSolicitarDocFuncResponse createDoTaskSolicitarDocFuncResponse() {
		return new DoTaskSolicitarDocFuncResponse();
	}

	/**
	 * Create an instance of {@link DoTaskRechazoFirmasResponse }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskRechazoFirmasResponse createDoTaskRechazoFirmasResponse() {
		return new DoTaskRechazoFirmasResponse();
	}

	/**
	 * Create an instance of {@link PrepareAutomaticTask }.
	 *
	 * @return objeto respuesta
	 */
	public PrepareAutomaticTask createPrepareAutomaticTask() {
		return new PrepareAutomaticTask();
	}

	/**
	 * Create an instance of {@link PrepareTaskAportacion }.
	 *
	 * @return objeto respuesta
	 */
	public PrepareTaskAportacion createPrepareTaskAportacion() {
		return new PrepareTaskAportacion();
	}

	/**
	 * Create an instance of {@link DoTaskStudyResponse }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskStudyResponse createDoTaskStudyResponse() {
		return new DoTaskStudyResponse();
	}

	/**
	 * Create an instance of {@link DoTaskAdjuntarDoc }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskAdjuntarDoc createDoTaskAdjuntarDoc() {
		return new DoTaskAdjuntarDoc();
	}

	/**
	 * Create an instance of {@link DoTaskRegistrarNotifPostalResponse }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskRegistrarNotifPostalResponse createDoTaskRegistrarNotifPostalResponse() {
		return new DoTaskRegistrarNotifPostalResponse();
	}

	/**
	 * Create an instance of {@link PrepareNewTaskMailboxesResponse }.
	 *
	 * @return objeto respuesta
	 */
	public PrepareNewTaskMailboxesResponse createPrepareNewTaskMailboxesResponse() {
		return new PrepareNewTaskMailboxesResponse();
	}

	/**
	 * Create an instance of {@link DoTaskCrearNotServer }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskCrearNotServer createDoTaskCrearNotServer() {
		return new DoTaskCrearNotServer();
	}

	/**
	 * Create an instance of {@link DoTaskRechazoFirmas }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskRechazoFirmas createDoTaskRechazoFirmas() {
		return new DoTaskRechazoFirmas();
	}

	/**
	 * Create an instance of {@link PrepareTaskAportacionResponse }.
	 *
	 * @return objeto respuesta
	 */
	public PrepareTaskAportacionResponse createPrepareTaskAportacionResponse() {
		return new PrepareTaskAportacionResponse();
	}

	/**
	 * Create an instance of {@link DoTaskReasignarFirmanteResponse }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskReasignarFirmanteResponse createDoTaskReasignarFirmanteResponse() {
		return new DoTaskReasignarFirmanteResponse();
	}

	/**
	 * Create an instance of {@link DoTaskAnularFirmaResponse }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskAnularFirmaResponse createDoTaskAnularFirmaResponse() {
		return new DoTaskAnularFirmaResponse();
	}

	/**
	 * Create an instance of {@link DoTaskAcuseResponse }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskAcuseResponse createDoTaskAcuseResponse() {
		return new DoTaskAcuseResponse();
	}

	/**
	 * Create an instance of {@link PrepareNewTask }.
	 *
	 * @return objeto respuesta
	 */
	public PrepareNewTask createPrepareNewTask() {
		return new PrepareNewTask();
	}

	/**
	 * Create an instance of {@link CreateTeleNotificationXResponse }.
	 *
	 * @return objeto respuesta
	 */
	public CreateTeleNotificationXResponse createCreateTeleNotificationXResponse() {
		return new CreateTeleNotificationXResponse();
	}

	/**
	 * Create an instance of {@link DoTaskRegistrarDoc }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskRegistrarDoc createDoTaskRegistrarDoc() {
		return new DoTaskRegistrarDoc();
	}

	/**
	 * Create an instance of {@link DoTaskAcuse }.
	 *
	 * @return objeto respuesta
	 */
	public DoTaskAcuse createDoTaskAcuse() {
		return new DoTaskAcuse();
	}

	/**
	 * Create an instance of {@link PrepareTask }.
	 *
	 * @return objeto respuesta
	 */
	public PrepareTask createPrepareTask() {
		return new PrepareTask();
	}

	/**
	 * Create an instance of {@link CreateTeleNotificationX }.
	 *
	 * @return objeto respuesta
	 */
	public CreateTeleNotificationX createCreateTeleNotificationX() {
		return new CreateTeleNotificationX();
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link String }
	 * {@code >}}.
	 *
	 * @param value            String
	 * @return objeto respuesta
	 */
	@XmlElementDecl(namespace = "http://www.openuri.org/", name = "string")
	public JAXBElement<String> createString(String value) {
		return new JAXBElement<String>(_String_QNAME, String.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link Object }
	 * {@code >}}.
	 *
	 * @param value            Object
	 * @return objeto respuesta
	 */
	@XmlElementDecl(namespace = "http://www.openuri.org/", name = "void1")
	public JAXBElement<Object> createVoid1(Object value) {
		return new JAXBElement<Object>(_Void1_QNAME, Object.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link Object }
	 * {@code >}}.
	 *
	 * @param value            Object
	 * @return objeto respuesta
	 */
	@XmlElementDecl(namespace = "http://www.openuri.org/", name = "void2")
	public JAXBElement<Object> createVoid2(Object value) {
		return new JAXBElement<Object>(_Void2_QNAME, Object.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link Boolean }
	 * {@code >}}.
	 *
	 * @param value            Boolean
	 * @return objeto respuesta
	 */
	@XmlElementDecl(namespace = "http://www.openuri.org/", name = "boolean")
	public JAXBElement<Boolean> createBoolean(Boolean value) {
		return new JAXBElement<Boolean>(_Boolean_QNAME, Boolean.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link Object }
	 * {@code >}}.
	 *
	 * @param value            Object
	 * @return objeto respuesta
	 */
	@XmlElementDecl(namespace = "http://www.openuri.org/", name = "void3")
	public JAXBElement<Object> createVoid3(Object value) {
		return new JAXBElement<Object>(_Void3_QNAME, Object.class, null, value);
	}

}
